WordPress开发者和主题制作者的搜索引擎



auto_update_{$type} ›

Since3.7.0
已弃用n/a
apply_filters( "auto_update_{$type}", $update, $item )
参数: (2)
  • (bool) $update Whether to update.
    Required: Yes
  • (object) $item The update offer.
    Required: Yes
定义在:
文档:

Filters whether to automatically update core, a plugin, a theme, or a language.

The dynamic portion of the hook name, $type, refers to the type of update being checked. Can be 'core', 'theme', 'plugin', or 'translation'.

Generally speaking, plugins, themes, and major core versions are not updated by default, while translations and minor and development versions for core are updated by default.

See the {@see 'allow_dev_auto_core_updates'}, {@see 'allow_minor_auto_core_updates'}, and {@see 'allow_major_auto_core_updates'} filters for a more straightforward way to adjust core updates.





源码

$update = apply_filters( "auto_update_{$type}", $update, $item );